from setuptools import setup, find_packages

from vik import __version__

setup(
    name='vik',
    version=__version__,
    author='Chen Chiu-Tung',
    author_email='cchiut@gmail.com',
    url='https://github.com/cchiut/vik',
    description='The integration of virtual machine image tool kits',
    long_description=open('README.rst').read(),
    license='MIT',
    install_requires=['setuptools', 'docopt>=0.6.1'],
    packages=find_packages(),
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'vik = vik:main'
        ]
    },
    keywords='virtual machine cloud amazon virtualbox vmware',
    classifiers=[
        'Development Status :: 4 - Beta',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.3',
        'Topic :: Utilities'
    ]
)
