""" Check for requirements of vik working environment
"""
import os
import subprocess
import sys


def is_os_compatiable():
    """ Check OS type for further processing.

    Compatiable OS:
        * linux
        * darwin
    """
    compatiable = False

    if sys.platform == 'linux':
        compatiable = True
    elif sys.platform == 'darwin':
        compatiable = True

    return compatiable


def is_supported_distro(distro):
    """ Check VM type is supported.

    Args:
        distro: distribution name.
    Return:
        boolean: True if supported, False if not.
    Raises:

    """
    DISTROS = ('debian')

    return True if distro in DISTROS else False


def has_tool(name):
    """ General purpose method to check for command line tool exists.

    Args:
        name: command name.
    Returns:
        boolean: True if having, False if not.
    Raises:

    """

    try:
        devnull = open(os.devnull)
        subprocess.Popen([name], stdout=devnull, stderr=devnull).communicate()
    except OSError as e:
        if e.errno == os.errno.ENOENT:
            return False
    return True
